CourseLit logoCourseLit Docs
Api reference

Generate a MediaLit upload signature

Returns a short-lived upload signature and endpoint for direct file uploads. See `https://docs.medialit.cloud/api/uploadMedia` for the upload request format.

POST
/api/media/presigned

Returns a short-lived upload signature and endpoint for direct file uploads. See https://docs.medialit.cloud/api/uploadMedia for the upload request format.

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://school.courselit.app/api/media/presigned"
{
  "signature": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "endpoint": "https://media.example.com"
}
Empty
{
  "message": "Domain not found",
  "error": "Unable to generate media signature"
}
{
  "message": "Domain not found",
  "error": "Unable to generate media signature"
}
{
  "message": "Domain not found",
  "error": "Unable to generate media signature"
}